## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TracerEvent Class Reference

This is the parent class of events generated for tracing the progress of the XSL processor. More...

`#include <TracerEvent.hpp>`

Collaboration diagram for TracerEvent:

[legend]
List of all members.

## Public Methods

- TracerEvent (const StylesheetExecutionContext &executionContext, const ElemTemplateElement &styleNode)
    Construct a tracer event. More...
- virtual ~TracerEvent ()

## Static Public Methods

- XalanDOMString& printNode (const XalanNode &n, XalanDOMString &theResult)
    Returns a string representation of the node. More...
- XalanDOMString& printNodeList (const XalanNodeList &l, XalanDOMString &theResult)
    Returns a string representation of the node list. More...

## Public Attributes

- const StylesheetExecutionContext& m_executionContext
    The XSLT processor instance. More...
- const ElemTemplateElement& m_styleNode
    The node in the style tree where the event occurs. More...

## Detailed Description

This is the parent class of events generated for tracing the progress of the XSL processor.

## Constructor & Destructor Documentation

TracerEvent::TracerEvent ( | const StylesheetExecutionContext & executionContext,
| const ElemTemplateElement & styleNode )

  | Construct a tracer event. Parameters:
  executionContext | XSLT processor instance
  sourceNode | current context node
  styleNode | node in the style tree where the event occurs

TracerEvent::~TracerEvent ( | )`[virtual]`

## Member Function Documentation

XalanDOMString & TracerEvent::printNode ( | const XalanNode & n,
| XalanDOMString & theResult )`[static]`

  | Returns a string representation of the node. The string returned for elements will contain the element name and any attributes enclosed in angle brackets. The string returned for attributes will be of form, "name=value." Parameters:
  n | any DOM node
Returns: string representation of the given node

XalanDOMString & TracerEvent::printNodeList ( | const XalanNodeList & l,
| XalanDOMString & theResult )`[static]`

  | Returns a string representation of the node list. The string will contain the list of nodes inside square braces. Elements will contain the element name and any attributes enclosed in angle brackets. Attributes will be of form, "name=value." Parameters:
  l | any DOM node list
Returns: string representation of the given node list

## Member Data Documentation

const StylesheetExecutionContext & TracerEvent::m_executionContext

| The XSLT processor instance.

const ElemTemplateElement & TracerEvent::m_styleNode

| The node in the style tree where the event occurs.

The documentation for this class was generated from the following file:

- TracerEvent.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.